input {
  &[type="text"],
  &[type="password"],
  &[type="number"] {
    &:disabled {
      background: $neutral__200;
    }
  }
}

.wx__form_input {
  margin-bottom: 15px;
  label {
    font-weight: 600;
    font-size: 13px;
    line-height: 30px;
    color: #2b2b2b;
  }
}

.wx__input {
  @extend .wx__text_body;
  @extend .wx__text_regular;
}

.wx__user_select_none {
  user-select: none; /* supported by Chrome and Opera */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
}

.wx__input_primary {
  @include input__style($border_color: $primary__500);
  //   @include input__style($border: none);
  @extend .wx__input;
  &:disabled {
    border-color: $primary__300;
  }
}

.wx__input_secondary {
  @include input__style($border_color: $neutral__600);
  @extend .wx__input;
  &:disabled {
    border-color: $neutral__500;
  }
}

.wx__input_warning {
  @include input__style($border_color: $orange__600);
  @extend .wx__input;
  &:disabled {
    border-color: $orange__300;
  }
}

.wx__input_success {
  @include input__style($border_color: $green__500);
  @extend .wx__input;
  &:disabled {
    border-color: $green__300;
  }
}

.wx__input_danger {
  @include input__style($border_color: $red__500);
  @extend .wx__input;
  &:disabled {
    border-color: $red__300;
  }
}

// input group class

.wx__input_group {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 40px;
  // margin: 8px 0;
  padding: 10px 12px;
  background-color: $neutral__100;
  @extend .wx__rounded;
  input {
    @include input__style(
      $border: none,
      $width: 100%,
      $height: 38px,
      $margin: 0
    );
    color: $neutral__900;
  }
  span {
    color: $neutral__700;
  }
}

.wx__input_group_primary {
  @extend .wx__input_group;
  @include wx__border($border_color: $primary__500);
  input {
    background: transparent;
  }
  &[aria-disabled="true"] {
    background: $neutral__200;
    pointer-events: none;
    border-color: $primary__300 !important;
    input {
      color: $neutral__300;
    }
    span {
      color: $neutral__500;
    }
    @extend .wx__user_select_none;
  }
}

.wx__input_group_secondary {
  @extend .wx__input_group;
  @include wx__border($border_color: $neutral__600);
  input {
    background: transparent;
  }
  &[aria-disabled="true"] {
    background: $neutral__200;
    pointer-events: none;
    border-color: $neutral__500 !important;
    input {
      color: $neutral__300;
    }
    span {
      color: $neutral__500;
    }
    @extend .wx__user_select_none;
  }
}

.wx__input_group_warning {
  @extend .wx__input_group;
  @include wx__border($border_color: $orange__600);
  input {
    background: transparent;
  }
  &[aria-disabled="true"] {
    background: $neutral__200;
    pointer-events: none;
    border-color: $orange__300 !important;
    input {
      color: $neutral__300;
    }
    span {
      color: $neutral__500;
    }
    @extend .wx__user_select_none;
  }
}

.wx__input_group_success {
  @extend .wx__input_group;
  @include wx__border($border_color: $green__500);
  input {
    background: transparent;
  }
  &[aria-disabled="true"] {
    background: $neutral__200;
    pointer-events: none;
    border-color: $green__300 !important;
    input {
      color: $neutral__300;
    }
    span {
      color: $neutral__500;
    }
    @extend .wx__user_select_none;
  }
}

.wx__input_group_danger {
  @extend .wx__input_group;
  @include wx__border($border_color: $red__500);
  input {
    background: transparent;
  }

  &[aria-disabled="true"] {
    background: $neutral__200;
    pointer-events: none;
    border-color: $red__300 !important;
    input {
      color: $neutral__300;
    }
    span {
      color: $neutral__500;
    }
    @extend .wx__user_select_none;
  }
}

// input, label, span group class

.wx__form_group {
  margin-bottom: 16px;
  label {
    margin-bottom: 8px;
    font-weight: 600 !important;
    @extend .wx__text_subtitle;
    @extend .wx__text_semibold;
    display: inline-block !important;
    color: $neutral__900;
    span {
      color: $red__500;
    }
  }
  .note_text {
    color: $neutral__600;
    @extend .wx__text_subtitle;
    @extend .wx__text_regular;
  }
  &[aria-disabled="true"] {
    label {
      color: #9a9a9a;
      span {
        color: $red__300;
      }
    }

    .note_text {
      color: $neutral__500;
    }

    .wx__input_primary {
      pointer-events: none;
      border-color: $primary__300 !important;
      background: $neutral__200;
    }

    .wx__input_secondary {
      pointer-events: none;
      border-color: $neutral__500 !important;
      background: $neutral__200;
    }

    .wx__input_warning {
      pointer-events: none;
      border-color: $orange__300 !important;
      background: $neutral__200;
    }

    .wx__input_success {
      pointer-events: none;
      border-color: $green__300 !important;
      background: $neutral__200;
    }

    .wx__input_danger {
      pointer-events: none;
      border-color: $red__300 !important;
      background: $neutral__200;
    }

    .wx__input_group_primary {
      pointer-events: none;
      border-color: $primary__300 !important;
      background: $neutral__200;
      input {
        color: $neutral__300;
      }
      span {
        color: $neutral__500;
      }
    }
    .wx__input_group_secondary {
      pointer-events: none;
      border-color: $neutral__500 !important;
      background: $neutral__200;
      input {
        color: $neutral__300;
      }
      span {
        color: $neutral__500;
      }
    }
    .wx__input_group_warning {
      pointer-events: none;
      border-color: $orange__300 !important;
      background: $neutral__200;
      input {
        color: $neutral__300;
      }
      span {
        color: $neutral__500;
      }
    }
    .wx__input_group_success {
      pointer-events: none;
      border-color: $green__300 !important;
      background: $neutral__200;
      input {
        color: $neutral__300;
      }
      span {
        color: $neutral__500;
      }
    }
    .wx__input_group_danger {
      pointer-events: none;
      border-color: $red__300 !important;
      background: $neutral__200;
      input {
        color: $neutral__300;
      }
      span {
        color: $neutral__500;
      }
    }
    @extend .wx__user_select_none;
  }
}
